BETTERMENU
Entitlements

Create Customer Portal Session

Create a Stripe Customer Portal session so the calling organization can manage its payment method, view invoices, or cancel its subscription. Returns a hosted URL to redirect the customer to.

POST
/entitlements/portal

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

return_url*Return Url

Absolute URL Stripe returns the customer to after the portal.

Response Body

application/json

application/json

curl -X POST "https://api.bettermenu.live/entitlements/portal" \  -H "Content-Type: application/json" \  -d '{    "return_url": "string"  }'
{
  "url": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}